%define Name LTSP5
%define bname ltsp5
Name: %bname-server-packages
Version: 5.0
Release: alt0.4
Summary: %Name virtual packages
License: GPL
Group: Networking/Remote access
BuildArch: noarch

%description
Virtual packages of %Name.


%package -n %bname-server-base
Summary: %Name base packages
Group: Networking/Remote access
Requires: ltsp5-server
Requires: spt
Requires: ltspswapd
Requires: fuse
Requires: ltspfs
Requires: lbussd
Requires: ltsp-utils
Requires: dhcp-server
Requires: tftp-server
Requires: nfs-server
# common
Requires: unzip
Requires: unrar
Requires: glibc-locales
Requires: glibc-timezones mc
Requires: openssh-clients
Requires: xauth
Requires: xorg-x11-xfs
Requires: setxkbmap
# fonts
Requires: fonts-bitmap-100dpi
Requires: fonts-bitmap-75dpi
Requires: fonts-bitmap-cyrillic
Requires: fonts-bitmap-misc
Requires: fonts-ttf-dejavu
Requires: fonts-ttf-xorg
Requires: freefont-fonts-ttf
# dm
Requires: xdm
# wm
Requires: twm
# term
Requires: xterm

%description -n %bname-server-base
Base virtual package of %Name.


%package -n %bname-server-enhanced
Summary: %Name enhanced package
Group: Networking/Remote access
Requires: %bname-server-base = %version-%release
# common
Requires: libao-esd
Requires: zip
Requires: bc
Requires: p7zip
Requires: ntfs-3g
Requires: nfs-clients
Requires: samba-client
Requires: samba-client-cups
Requires: vim-enhanced
Requires: browser-plugins-npapi
Requires: cups
Requires: cups-pdf
Requires: cups-ppd
Requires: ghostscript-cups
Requires: foomatic
Requires: hd2u
Requires: screen
Requires: bash-completion
Requires: apt-utils
Requires: aspell-en
Requires: aspell-ru
Requires: aspell-uk
Requires: info
Requires: catdoc
Requires: mpg321
Requires: vorbis-tools
Requires: flac123
Requires: mtools
Requires: lftp
Requires: links
Requires: man-pages-ru
Requires: psi
Requires: synaptic
# fonts
Requires: fonts-bitmap-terminus
Requires: fonts-bitmap-univga
#Requires: fonts-ttf-ms
Requires: fonts-type1-urw
Requires: fonts-type1-xorg
# xkb
Requires: xkeyboard-config

%description -n %bname-server-enhanced
Enhanced virtual package of %Name.


%package -n %bname-server-kde
Summary: %Name KDE-variant package
Group: Networking/Remote access
Requires: %bname-server-enhanced = %version-%release
# dm
Requires: kdebase-kdm
# base KDE soft
Requires: iceauth
Requires: kdebase-wm
Requires: kdebase-kcontrol
Requires: kdebase-kio
Requires: kkbswitch
Requires: kdebase-konqueror
Requires: kdepim-kmail
Requires: kdeutils-ark
Requires: kdeaddons-kicker
Requires: kdebase-kdeprint
Requires: kdenetwork-kget
Requires: kdenetwork-kopete
Requires: kdenetwork-krdc
Requires: kdenetwork-lisa
# additional KDE soft
#   viewers
Requires: kdegraphics-kview
Requires: kdegraphics-kpdf
Requires: kdegraphics-kghostview
Requires: kchmviewer
Requires: kdegraphics-kviewshell
Requires: kdegraphics-ksvg
Requires: kdegraphics-kuickshow
#   multimedia
Requires: kdeaddons-noatun
Requires: amarok-engine-xine
Requires: kdemultimedia-kmix
Requires: kaffeine
#   graphics
Requires: kdegraphics-kolourpaint
#   other
Requires: kdepim-korganizer
Requires: kdeutils-kcalc
Requires: kdeutils-kcharselect
Requires: kdeutils-kdessh
Requires: kleansweep
# locales
Requires: kde-i18n-ru
Requires: kde-i18n-uk

%description -n %bname-server-kde
KDE-variant virtual package of %Name.


%package -n %bname-server-light
Summary: %Name light-variant package
Group: Networking/Remote access
Requires: %bname-server-enhanced = %version-%release
# dm
Requires: kdebase-kdm
# wm
Requires: icewm-startup-xxkb
Requires: icewm-startup-idesk
Requires: firefox-ru
Requires: sylpheed
Requires: xarchiver
Requires: grdesktop
# viewers
#Requires: xpdf
Requires: djvu-viewer
Requires: gqview
Requires: qiv
Requires: xchm
Requires: evince
#  multimedia
Requires: aumix
Requires: audacious-plugins
Requires: gxine
#  graphics
Requires: xpaint
#  other
Requires: xcalc

%description -n %bname-server-light
Light-variant virtual package of %Name.


%files -n %bname-server-base


%files -n %bname-server-enhanced


%files -n %bname-server-kde


%files -n %bname-server-light


%changelog
* Wed May 23 2007 Led <led@altlinux.ru> 5.0-alt0.4
- fixed Requires

* Thu May 17 2007 Led <led@altlinux.ru> 5.0-alt0.3
- updated require list in enhanced package

* Wed May 16 2007 Led <led@altlinux.ru> 5.0-alt0.2
- fixed Requires

* Tue May 15 2007 Led <led@altlinux.ru> 5.0-alt0.1
- initial build
